Bug 1471846 - aacraid kernel module fails on Adaptec ASR7805 controller
aacraid kernel module fails on Adaptec ASR7805 controller
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 10:23 EDT by Janos Lichtenberger
Modified: 2018-05-29 08:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:29:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Janos Lichtenberger 2017-07-17 10:23:30 EDT
Description of problem:
Kernel 4.11.9-100.fc26.x86_64 does not see the disks attached to  Adaptec ASR7805 controller 


Version-Release number of selected component (if applicable):


How reproducible:

Boot with any 4.11.x kernel


Steps to Reproduce:
1.
2.
3.

Actual results:

boot fails as no disk is seen by the kernel

Expected results:

aacraid module to work 

Additional info:
1. The system is running on an intel server  (MB: S2600CO, 2x Xeon E5-2609). I regularly updated the packages, but did no reboot the server since a while. Today I wanted to upgrade to f26 and after refreshing the packages I rebooted the sever.
Before the reboot, it run with kernel 4.9.9-100.fc24.x86_64 without any problem.

2. I tried to boot with a f26 DVD, but the kernel on the f26 boot image also sees no disks.

3. I did not try with any 4.10.x kernel - the problem might have been already with those kernels.
Comment 1 Janos Lichtenberger 2017-07-20 11:19:02 EDT
I tried 4.11.9-100.fc26.x86_64 with other (older Adaptec) raid controllers, ASR 2200S and 51645 works fine with the aacraid module
Comment 2 Fedora End Of Life 2017-07-25 20:26:40 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Janos Lichtenberger 2017-07-27 03:14:53 EDT
The problem still exists with any 4.11.x kernel on Fedora 26
Comment 4 Laura Abbott 2018-02-27 22:50:32 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 5 Janos Lichtenberger 2018-02-28 09:54:00 EST
Dear Laura,

I tried to imitate the installation with Fedora 27 install DVD and the raid array is seen by anaconda/installation kernel - this is a good news.
I have not tried F26 with the latest kernel yet, but I will upgrade the system and inform you about the success/failure regarding aacraid module.

(Just one more remark: in Comment 1 I said "ASR 2200S and 51645 work fine with the aacraid module...", which is absolutely true for 51645, but I experienced a series of problem with the old 2200S: even with the latest kernel (4.15.4-200.fc26), the kernel loses the raid array after some time of array usage, it is not seen by fdisk -l either. The Adaptec card BIOS says, the array is in optimal condition, the filesystem can be mounted, but (as it is an xfs filesystem), any attempt to check the filesystem with xfs_repair leads to the loss of the array before it completes the check. It could be an individual disk failure or the hardware failure of the controller card too. I'm investigating the problem, therefore this is just a 'conditional' remark)

With best regards,

Janos
Comment 6 Janos Lichtenberger 2018-03-09 12:17:40 EST
Dear Laura,

Alas, I can confirm that ASR 2200S fails with the kernel 4.15.6. The raid array is dropped  upon load after a few minutes.
I downgrade the system to Fedora 24 with original kernel (4.5.5) and the array works fine.

With best regards,

Janos
Comment 7 Fedora End Of Life 2018-05-03 04:09:35 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2018-05-29 08:29:13 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.